Package com.smartgwt.client.widgets.toolbar.events

# Class ItemClickEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<ItemClickHandler>
com.smartgwt.client.widgets.toolbar.events.ItemClickEvent

public class ItemClickEvent extends BrowserEvent<ItemClickHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemClickEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(ItemClickHandler handler)`
  `static <S extends HasItemClickHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<ItemClickHandler>`
  `getAssociatedType()`
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `Button`
  `getItem()`
  Deprecated.
  in favor of `getTargetCanvas()`
  `int`
  `getItemNum()`
  number of the button in question
  `StatefulCanvas`
  `getTargetCanvas()`
  button in question
  `static GwtEvent.Type<ItemClickHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ItemClickEvent

    public ItemClickEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasItemClickHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<ItemClickHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(ItemClickHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<ItemClickHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<ItemClickHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<ItemClickHandler>`

  - ### getTargetCanvas

    public StatefulCanvas getTargetCanvas()
    button in question
    Returns:
      button in question

  - ### getItemNum

    public int getItemNum()
    number of the button in question
    Returns:
      number of the button in question

  - ### getItem

    @Deprecated public Button getItem()
    Deprecated.
    in favor of `getTargetCanvas()`
    button in question
    Returns:
      button in question